Videos
Copy Page
api.video
Account
Show account
GET
Analytics
List live stream player sessions
GET
List player session events
GET
List video player sessions
GET
Authentication
Authenticate
POST
Refresh token
POST
Live
List all live streams
GET
Create live stream
POST
Delete a live stream
DELETE
Show live stream
GET
Update a live stream
PATCH
Delete a thumbnail
DELETE
Upload a thumbnail
POST
Players
List all players
GET
Create a player
POST
Delete a player
DELETE
Show a player
GET
Update a player
PATCH
Delete logo
DELETE
Upload a logo
POST
Videos - Delegated upload
Upload with an upload token
List all active upload tokens.
Generate an upload token
Delete an upload token
Show upload token
Videos
List all videos
GET
Create a video
POST
Delete a video
DELETE
Show a video
GET
Update a video
PATCH
Upload a video
POST
Show video status
GET
Pick a thumbnail
PATCH
Upload a thumbnail
POST
Captions
List video captions
Delete a caption
Show a caption
Update caption
Upload a caption
Chapters
List video chapters
Delete a chapter
Show a chapter
Upload a chapter
Webhooks
List all webhooks
Create Webhook
Delete a Webhook
Show Webhook details
Schemas
Schemas
AccessToken
AccessToken
Account
Account
apiKey
apiKey
BadRequest
BadRequest
bytes_range
VideoCaptions
VideoCaptions
UpdateCaptionPayload
UpdateCaptionPayload
captions-upload-payload
Chapter
Chapter
VideoChapters
VideoChapters
UpdateChapterPayload
UpdateChapterPayload
link
LiveStream
LiveStream
liveStreamCreationPayload
liveStreamCreationPayload
LiveStreams
LiveStreams
Live Stream Session
Live Stream Session
live-stream-thumbnail-upload-payload
LiveStreamUpdatePayload
LiveStreamUpdatePayload
live_stream_assets
live_stream_session_client
live_stream_session_device
live_stream_session_location
live_stream_session_referrer
live_stream_session_session
metadata
NotFound
NotFound
Pagination
Pagination
PaginationLink
PaginationLink
Player
Player
Player Session Event
Player Session Event
playerCreationPayload
playerUpdatePayload
PlayerInput
PlayerInput
Players
Players
players-upload-logo-payload
quality
LiveStreamSessions
LiveStreamSessions
PlayerSessionEvents
PlayerSessionEvents
VideoSessions
VideoSessions
refreshToken
refreshToken
Subtitle
Subtitle
tokenCreationPayload
tokenCreationPayload
uploadTokens
uploadTokens
token-upload-payload
UploadToken
UploadToken
video
videoCreationPayload
videoCreationPayload
Video Session
Video Session
pickThumbnailPayload
pickThumbnailPayload
video-thumbnail-upload-payload
videoUpdatePayload
videoUpdatePayload
video-upload-payload
videoAssets
videoSource
video_session_client
video_session_device
video_session_location
video_session_os
video_session_referrer
video_session_session
video_source_live_stream
video_source_live_stream_link
Videos
Videos
VideoStatus
VideoStatus
videostatus_encoding
videostatus_encoding_metadata
videostatus_ingest
Webhook
Webhook
webhooks-create-payload
Webhooks
Webhooks
Videos
MCP
Copy Page
Delete a video
DELETE
/videos/{videoId}
Try it
Run in Apidog
Run in Apidog
If you do not need a video any longer, you can send a request to delete it. All you need is the videoId. Tutorials using
video deletion
.
Request
Path Params
Generate Code
Responses
🟢
204
No Content
application/json
Generate Code
Body
Generate Code
ðŸŸ
404
Not Found
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
DELETE
'https://ws.api.video/videos/vi4k0jvEUuaTdRAEjQ4Jfrgz'
Response
Response Example
204 -
Example 1
{
}
Modified atÂ
2023-08-15 05:52:15
Previous
Create a video
Next
Show a video